<div class="addContainer">
    <div class="modalHeader">
      <div class="editRowModal">
        <div class="modalHeader clearfix">
          <div class="modal-about">
            <div class="font-weight-bold p-t-5 p-l-10 font-17">
              {{textodedialogo}}</div>
          </div>
        </div>
      </div>
      <button mat-icon-button (click)="dialogRef.close()" aria-label="Close dialog">
        <mat-icon>close</mat-icon>
      </button>
    </div>
    <div mat-dialog-content>
      <form class="register-form m-4" [formGroup]="formulariomotivo" (ngSubmit)="submit">

        <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
              <mat-form-field class="example-full-width" appearance="outline">
                <mat-label>Nombre Motivo de Consulta</mat-label>
                <input matInput formControlName="NombreMotivo" required>
                <mat-error *ngIf="formulariomotivo.get('NombreMotivo').hasError('required')">
                    Debes de ingresar un motivo
                </mat-error>
              </mat-form-field>
            </div>
        </div>

        <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
              <mat-form-field class="example-full-width" appearance="outline">
                <mat-label>Tiempo Motivo de Consulta (en minutos)</mat-label>
                <input matInput formControlName="Tiempo" type="number" required>
                <mat-error *ngIf="formulariomotivo.get('Tiempo').hasError('required')">
                    Debes de ingresar el tiempo
                </mat-error>
              </mat-form-field>
            </div>
        </div>

        <div class="row">
          <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
                <mat-checkbox class="example-margin" formControlName="MostrarAgenda">Mostrar en agenda</mat-checkbox>
          </div>
        </div>
        <div class="row" style="text-align: end;">
          <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
            <div class="example-button-row">
              <button mat-raised-button color="primary" [type]="submit" [disabled]="!formulariomotivo.valid"
                 (click)="confirmAdd()">Guardar</button>
              <button mat-raised-button color="warn" (click)="onNoClick()" tabindex="-1">Cancelar</button>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
  